
**# Meta-analysis for prevalence

* Dataset with extreme values 
use extremeprop, clear
describe
list author year events ssize 

meta esize events ssize
describe

meta summarize 
meta summarize, proportion

meta esize events ssize, esize(proportion)
meta summarize, level(97)


* Dataset with less extreme values

use myprop1, clear
list author ssize events mean_age

meta esize events ssize
meta forestplot, proportion
meta forestplot, proportion citype(agresti)
meta forestplot, prevalence

meta forestplot, ///
  columnopts(_e, title("patients with CKD")) ///
  transform("No. of CKD patients per 1000": invftukey, scale(1000))

meta forestplot, proportion cumulative(mean_age)

meta summarize, proportion citype(agresti) predinterval

meta regress mean_age

meta forestplot, subgroup(agegroup) ///
 noohetstats noohomtest noosigtest noghetstats nogwhomtests nogsigtests ///
  nogbhomtests columnopts(_e, title("patients with CKD")) ///
  transform("No. of CKD patients per 1000": invftukey, scale(1000))

meta summarize, subgroup(agegroup) prop noheader nometashow



**# Multilevel meta-analysis

use schoolcal2, clear 
describe
list district school study stdmdiff mean_exp in 1/11, sepby(district)

meta multilevel stdmdiff, relevels(district school) essevariable(se) nolog
estat heterogeneity 

meta multilevel stdmdiff, relevels(district school) essevariable(se) nolog
estimates store full_model
meta multilevel stdmdiff, relevels(district) essevariable(se) nolog
estimates store school_effect
lrtest full_model school_effect

quietly meta multilevel stdmdiff, ///
 relevels(district school, sd(. 0.01)) essevariable(se)
estimates store fixsd1 

quietly meta multilevel stdmdiff, ///
 relevels(district school, sd(. 0.18)) essevariable(se)
estimates store fixsd2

quietly meta multilevel stdmdiff, ///
 relevels(district school, sd(. 0.6)) essevariable(se)
estimates store fixsd3 

estimates table _all, stats(sd2) keep(stdmdiff:_cons) b(%8.3f) se(%8.3f)

estimates table _all, stats(sd2) keep(lns1_1_1:_cons) b(%8.3f) eform 

qui: meta multilevel stdmdiff, relevels(district school) esse(se)
predict double u3 u2, reffects reses(se_u3 se_u2, diagnostic)
by district, sort: generate tolist = (_n==1)
list district u3 se_u3 if tolist

generate double ustan3 = u3/se_u3
label variable ustan3 "Std. predicted random effects u3"
qnorm ustan3 if tolist, mlabel(district) xtitle("Inverse normal")

meta meregress stdmdiff mean_exp ///
 || district: mean_exp ///
 || school:, essevariable(se) nolog nogroup

estat sd, variance




 
 